<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en"><head>

<meta charset="utf-8">
<meta name="generator" content="quarto-1.1.251">

<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">


<title>Mapping and spatial analyses in R for One Health studies - References</title>
<style>
code{white-space: pre-wrap;}
span.smallcaps{font-variant: small-caps;}
div.columns{display: flex; gap: min(4vw, 1.5em);}
div.column{flex: auto; overflow-x: auto;}
div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
ul.task-list{list-style: none;}
ul.task-list li input[type="checkbox"] {
  width: 0.8em;
  margin: 0 0.8em 0.2em -1.6em;
  vertical-align: middle;
}
div.csl-bib-body { }
div.csl-entry {
  clear: both;
}
.hanging div.csl-entry {
  margin-left:2em;
  text-indent:-2em;
}
div.csl-left-margin {
  min-width:2em;
  float:left;
}
div.csl-right-inline {
  margin-left:2em;
  padding-left:1em;
}
div.csl-indent {
  margin-left: 2em;
}
</style>


<script src="site_libs/quarto-nav/quarto-nav.js"></script>
<script src="site_libs/quarto-nav/headroom.min.js"></script>
<script src="site_libs/clipboard/clipboard.min.js"></script>
<script src="site_libs/quarto-search/autocomplete.umd.js"></script>
<script src="site_libs/quarto-search/fuse.min.js"></script>
<script src="site_libs/quarto-search/quarto-search.js"></script>
<meta name="quarto:offset" content="./">
<link href="./08-exercices.html" rel="prev">
<script src="site_libs/quarto-html/quarto.js"></script>
<script src="site_libs/quarto-html/popper.min.js"></script>
<script src="site_libs/quarto-html/tippy.umd.min.js"></script>
<script src="site_libs/quarto-html/anchor.min.js"></script>
<link href="site_libs/quarto-html/tippy.css" rel="stylesheet">
<link href="site_libs/quarto-html/quarto-syntax-highlighting.css" rel="stylesheet" id="quarto-text-highlighting-styles">
<script src="site_libs/bootstrap/bootstrap.min.js"></script>
<link href="site_libs/bootstrap/bootstrap-icons.css" rel="stylesheet">
<link href="site_libs/bootstrap/bootstrap.min.css" rel="stylesheet" id="quarto-bootstrap" data-mode="light">
<script id="quarto-search-options" type="application/json">{
  "location": "sidebar",
  "copy-button": false,
  "collapse-after": 3,
  "panel-placement": "start",
  "type": "textbox",
  "limit": 20,
  "language": {
    "search-no-results-text": "No results",
    "search-matching-documents-text": "matching documents",
    "search-copy-link-title": "Copy link to search",
    "search-hide-matches-text": "Hide additional matches",
    "search-more-match-text": "more match in this document",
    "search-more-matches-text": "more matches in this document",
    "search-clear-button-title": "Clear",
    "search-detached-cancel-button-title": "Cancel",
    "search-submit-button-title": "Submit"
  }
}</script>
<style>html{ scroll-behavior: smooth; }</style>


<link rel="stylesheet" href="styles.css">
</head>

<body class="nav-sidebar floating">

<div id="quarto-search-results"></div>
  <header id="quarto-header" class="headroom fixed-top">
  <nav class="quarto-secondary-nav" data-bs-toggle="collapse" data-bs-target="#quarto-sidebar" aria-controls="quarto-sidebar" aria-expanded="false" aria-label="Toggle sidebar navigation" onclick="if (window.quartoToggleHeadroom) { window.quartoToggleHeadroom(); }">
    <div class="container-fluid d-flex justify-content-between">
      <h1 class="quarto-secondary-nav-title">References</h1>
      <button type="button" class="quarto-btn-toggle btn" aria-label="Show secondary navigation">
        <i class="bi bi-chevron-right"></i>
      </button>
    </div>
  </nav>
</header>
<!-- content -->
<div id="quarto-content" class="quarto-container page-columns page-rows-contents page-layout-article">
<!-- sidebar -->
  <nav id="quarto-sidebar" class="sidebar collapse sidebar-navigation floating overflow-auto">
    <div class="pt-lg-2 mt-2 text-left sidebar-header">
    <div class="sidebar-title mb-0 py-0">
      <a href="./">Mapping and spatial analyses in R for One Health studies</a> 
        <div class="sidebar-tools-main">
    <a href="https://forge.ird.fr/espace-dev/personnels/longour/geohealth/documentation/rspatial-for-onehealth" title="Source Code" class="sidebar-tool px-1"><i class="bi bi-git"></i></a>
</div>
    </div>
      </div>
      <div class="mt-2 flex-shrink-0 align-items-center">
        <div class="sidebar-search">
        <div id="quarto-search" class="" title="Search"></div>
        </div>
      </div>
    <div class="sidebar-menu-container"> 
    <ul class="list-unstyled mt-1">
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./index.html" class="sidebar-item-text sidebar-link">Preface</a>
  </div>
</li>
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./01-introduction.html" class="sidebar-item-text sidebar-link"><span class="chapter-number">1</span>&nbsp; <span class="chapter-title">Introduction</span></a>
  </div>
</li>
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./02-data_acquisition.html" class="sidebar-item-text sidebar-link"><span class="chapter-number">2</span>&nbsp; <span class="chapter-title">Data Acquisition</span></a>
  </div>
</li>
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./03-vector_data.html" class="sidebar-item-text sidebar-link"><span class="chapter-number">3</span>&nbsp; <span class="chapter-title">Using vector data</span></a>
  </div>
</li>
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./04-raster_data.html" class="sidebar-item-text sidebar-link"><span class="chapter-number">4</span>&nbsp; <span class="chapter-title">Using raster data</span></a>
  </div>
</li>
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./05-mapping_with_r.html" class="sidebar-item-text sidebar-link"><span class="chapter-number">5</span>&nbsp; <span class="chapter-title">Mapping With R</span></a>
  </div>
</li>
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./07-basic_statistics.html" class="sidebar-item-text sidebar-link"><span class="chapter-number">6</span>&nbsp; <span class="chapter-title">Basic statistics for spatial analysis</span></a>
  </div>
</li>
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./08-exercices.html" class="sidebar-item-text sidebar-link">Exercice</a>
  </div>
</li>
        <li class="sidebar-item">
  <div class="sidebar-item-container"> 
  <a href="./references.html" class="sidebar-item-text sidebar-link active">References</a>
  </div>
</li>
    </ul>
    </div>
</nav>
<!-- margin-sidebar -->
    <div id="quarto-margin-sidebar" class="sidebar margin-sidebar">
        
    </div>
<!-- main -->
<main class="content" id="quarto-document-content">

<header id="title-block-header" class="quarto-title-block default">
<div class="quarto-title">
<h1 class="title d-none d-lg-block">References</h1>
</div>



<div class="quarto-title-meta">

    
    
  </div>
  

</header>

<div id="refs" class="references csl-bib-body hanging-indent" role="doc-bibliography">
<div id="ref-JS-Leaflet" class="csl-entry" role="doc-biblioentry">
Agafonkin, Vladimir. 2015. <span>“Leaflet Javascript Libary.”</span>
</div>
<div id="ref-scanstatistics" class="csl-entry" role="doc-biblioentry">
Allévius, Benjamin. 2018. <span>“Scanstatistics: Space-Time Anomaly
Detection Using Scan Statistics.”</span> <em>Journal of Open Source
Software</em> 3 (25): 515.
</div>
<div id="ref-mapview" class="csl-entry" role="doc-biblioentry">
Appelhans, Tim, Florian Detsch, Christoph Reudenbach, and Stefan
Woellauer. 2022. <span>“Mapview: Interactive Viewing of Spatial Data in
r.”</span> <a href="https://CRAN.R-project.org/package=mapview">https://CRAN.R-project.org/package=mapview</a>.
</div>
<div id="ref-mapedit" class="csl-entry" role="doc-biblioentry">
Appelhans, Tim, Kenton Russell, and Lorenzo Busetto. 2020.
<span>“Mapedit: Interactive Editing of Spatial Data in r.”</span> <a href="https://CRAN.R-project.org/package=mapedit">https://CRAN.R-project.org/package=mapedit</a>.
</div>
<div id="ref-bivand2008applied" class="csl-entry" role="doc-biblioentry">
Bivand, Roger S, Edzer J Pebesma, Virgilio Gómez-Rubio, and Edzer Jan
Pebesma. 2008. <em>Applied Spatial Data Analysis with r</em>. Vol.
747248717. Springer.
</div>
<div id="ref-spdep" class="csl-entry" role="doc-biblioentry">
Bivand, Roger, Micah Altman, Luc Anselin, Renato Assunção, Olaf Berke,
Andrew Bernat, and Guillaume Blanchet. 2015. <span>“Package
<span>‘Spdep’</span>.”</span> <em>The Comprehensive R Archive
Network</em>.
</div>
<div id="ref-rgdal" class="csl-entry" role="doc-biblioentry">
Bivand, Roger, Tim Keitt, and Barry Rowlingson. 2022. <span>“Rgdal:
Bindings for the ’Geospatial’ Data Abstraction Library.”</span> <a href="https://CRAN.R-project.org/package=rgdal">https://CRAN.R-project.org/package=rgdal</a>.
</div>
<div id="ref-rgeos" class="csl-entry" role="doc-biblioentry">
Bivand, Roger, and Colin Rundel. 2021. <span>“Rgeos: Interface to
Geometry Engine - Open Source (’GEOS’).”</span> <a href="https://CRAN.R-project.org/package=rgeos">https://CRAN.R-project.org/package=rgeos</a>.
</div>
<div id="ref-Brunet93" class="csl-entry" role="doc-biblioentry">
Brunet, Roger, Robert Ferras, and Hervé Théry. 1993. <em>Les Mots de La
g<span>é</span>ographie: Dictionnaire Critique</em>. 03) 911 BRU.
</div>
<div id="ref-tidygeocoder" class="csl-entry" role="doc-biblioentry">
Cambon, Jesse, Diego Hernangómez, Christopher Belanger, and Daniel
Possenriede. 2021. <span>“Tidygeocoder: An r Package for
Geocoding”</span> 6: 3544. <a href="https://doi.org/10.21105/joss.03544">https://doi.org/10.21105/joss.03544</a>.
</div>
<div id="ref-Cauvin13" class="csl-entry" role="doc-biblioentry">
Cauvin, Colette, Francisco Escobar, and Aziz Serradj. 2013. <em>Thematic
Cartography, Cartography and the Impact of the Quantitative
Revolution</em>. Vol. 2. John Wiley &amp; Sons.
</div>
<div id="ref-leaflet" class="csl-entry" role="doc-biblioentry">
Cheng, Joe, Bhaskar Karambelkar, and Yihui Xie. 2022. <span>“Leaflet:
Create Interactive Web Maps with the JavaScript ’Leaflet’
Library.”</span> <a href="https://CRAN.R-project.org/package=leaflet">https://CRAN.R-project.org/package=leaflet</a>.
</div>
<div id="ref-R-rgeoboundaries" class="csl-entry" role="doc-biblioentry">
Dicko, Ahmadou. 2021. <em>R Client for the geoBoundaries API, Providing
Country Political Administrative Boundaries</em>. <a href="https://dickoa.gitlab.io/rgeoboundaries/index.html">https://dickoa.gitlab.io/rgeoboundaries/index.html</a>.
</div>
<div id="ref-Dorling96" class="csl-entry" role="doc-biblioentry">
Dorling, Daniel. 1996. <em>Area Cartograms: Their Use and Creation,
Concepts and Techniques in Modern Geography</em>. Vol. 59. CATMOG:
Concepts and Techniques in Modern Geography. Institute of British
Geographers.
</div>
<div id="ref-Dougenik85" class="csl-entry" role="doc-biblioentry">
Dougenik, James A, Nicholas R Chrisman, and Duane R Niemeyer. 1985.
<span>“An Algorithm to Construct Continuous Area Cartograms.”</span>
<em>The Professional Geographer</em> 37 (1): 75–81.
</div>
<div id="ref-ggspatial" class="csl-entry" role="doc-biblioentry">
Dunnington, Dewey. 2021. <span>“Ggspatial: Spatial Data Framework for
Ggplot2.”</span> <a href="https://CRAN.R-project.org/package=ggspatial">https://CRAN.R-project.org/package=ggspatial</a>.
</div>
<div id="ref-GDAL" class="csl-entry" role="doc-biblioentry">
GDAL/OGR contributors. n.d. <em><span>GDAL/OGR</span> Geospatial Data
Abstraction Software Library</em>. Open Source Geospatial Foundation. <a href="https://gdal.org">https://gdal.org</a>.
</div>
<div id="ref-osmextract" class="csl-entry" role="doc-biblioentry">
Gilardi, Andrea, and Robin Lovelace. 2021. <span>“Osmextract: Download
and Import Open Street Map Data Extracts.”</span> <a href="https://CRAN.R-project.org/package=osmextract">https://CRAN.R-project.org/package=osmextract</a>.
</div>
<div id="ref-linemap" class="csl-entry" role="doc-biblioentry">
Giraud, Timothée. 2021a. <span>“Linemap: Line Maps.”</span> <a href="https://CRAN.R-project.org/package=linemap">https://CRAN.R-project.org/package=linemap</a>.
</div>
<div id="ref-maptiles" class="csl-entry" role="doc-biblioentry">
———. 2021b. <span>“Maptiles: Download and Display Map Tiles.”</span> <a href="https://CRAN.R-project.org/package=maptiles">https://CRAN.R-project.org/package=maptiles</a>.
</div>
<div id="ref-mapsf" class="csl-entry" role="doc-biblioentry">
———. 2022a. <span>“Mapsf: Thematic Cartography.”</span> <a href="https://CRAN.R-project.org/package=mapsf">https://CRAN.R-project.org/package=mapsf</a>.
</div>
<div id="ref-tanaka" class="csl-entry" role="doc-biblioentry">
———. 2022b. <span>“Tanaka: Design Shaded Contour Lines (or Tanaka)
Maps.”</span> <a href="https://CRAN.R-project.org/package=tanaka">https://CRAN.R-project.org/package=tanaka</a>.
</div>
<div id="ref-cartography" class="csl-entry" role="doc-biblioentry">
Giraud, Timothée, and Nicolas Lambert. 2016. <span>“Cartography: Create
and Integrate Maps in Your r Workflow”</span> 1. <a href="https://doi.org/10.21105/joss.00054">https://doi.org/10.21105/joss.00054</a>.
</div>
<div id="ref-banR" class="csl-entry" role="doc-biblioentry">
Gombin, Joel, and Paul-Antoine Chevalier. 2022. <span>“banR: R Client
for the BAN API.”</span>
</div>
<div id="ref-DCluster" class="csl-entry" role="doc-biblioentry">
Gómez-Rubio, Virgilio, Juan Ferrándiz-Ferragud, Antonio López-Quı́lez, et
al. 2015. <span>“Package <span>‘DCluster’</span>.”</span>
</div>
<div id="ref-R-gadmr" class="csl-entry" role="doc-biblioentry">
Guevarra, Ernest. 2021. <em>Gadmr: An r Interface to the GADM Map
Repository</em>. <a href="https://github.com/SpatialWorks/gadmr">https://github.com/SpatialWorks/gadmr</a>.
</div>
<div id="ref-raster" class="csl-entry" role="doc-biblioentry">
Hijmans, Robert J. 2022a. <span>“Raster: Geographic Data Analysis and
Modeling.”</span> <a href="https://CRAN.R-project.org/package=raster">https://CRAN.R-project.org/package=raster</a>.
</div>
<div id="ref-terra" class="csl-entry" role="doc-biblioentry">
———. 2022b. <span>“Terra: Spatial Data Analysis.”</span> <a href="https://CRAN.R-project.org/package=terra">https://CRAN.R-project.org/package=terra</a>.
</div>
<div id="ref-cartogram" class="csl-entry" role="doc-biblioentry">
Jeworutzki, Sebastian. 2020. <span>“Cartogram: Create Cartograms with
r.”</span> <a href="https://CRAN.R-project.org/package=cartogram">https://CRAN.R-project.org/package=cartogram</a>.
</div>
<div id="ref-SpatialEpi" class="csl-entry" role="doc-biblioentry">
Kim, Albert Y, and Jon Wakefield. 2010. <span>“R Data and Methods for
Spatial Epidemiology: The SpatialEpi Package.”</span> <em>Dept of
Statistics, University of Washington</em>.
</div>
<div id="ref-Lambert15" class="csl-entry" role="doc-biblioentry">
Lambert, Nicolas. 2015. <span>“Les Anamorphoses Cartographiques.”</span>
Blog. <em>Carnet Néocartographique</em>. <a href="https://neocarto.hypotheses.org/366" class="uri">https://neocarto.hypotheses.org/366</a>.
</div>
<div id="ref-XingongLi2009" class="csl-entry" role="doc-biblioentry">
Li, Xingong. 2009. <span>“Map Algebra and Beyond : 1. Map Algebra for
Scalar Fields.”</span> <a href="https://slideplayer.com/slide/5822638/" class="uri">https://slideplayer.com/slide/5822638/</a>.
</div>
<div id="ref-MmadelinSIGR" class="csl-entry" role="doc-biblioentry">
Madelin, Malika. 2021. <span>“Analyse d’images Raster (Et
Télédétection).”</span> <a href="https://mmadelin.github.io/sigr2021/SIGR2021_raster_MM.html" class="uri">https://mmadelin.github.io/sigr2021/SIGR2021_raster_MM.html</a>.
</div>
<div id="ref-JMennis2015" class="csl-entry" role="doc-biblioentry">
Mennis, Jeremy. 2015. <span>“Fundamentals of GIS : Raster
Operations.”</span> <a href="https://cupdf.com/document/gus-0262-fundamentals-of-gis-lecture-presentation-7-raster-operations-jeremy.html" class="uri">https://cupdf.com/document/gus-0262-fundamentals-of-gis-lecture-presentation-7-raster-operations-jeremy.html</a>.
</div>
<div id="ref-JNowosadSIGR" class="csl-entry" role="doc-biblioentry">
Nowosad, Jakub. 2021. <span>“Image Processing and All Things
Raster.”</span> <a href="https://nowosad.github.io/SIGR2021/workshop2/workshop2.html" class="uri">https://nowosad.github.io/SIGR2021/workshop2/workshop2.html</a>.
</div>
<div id="ref-Olson76" class="csl-entry" role="doc-biblioentry">
Olson, Judy M. 1976. <span>“Noncontiguous Area Cartograms.”</span>
<em>The Professional Geographer</em> 28 (4): 371–80.
</div>
<div id="ref-osmdata" class="csl-entry" role="doc-biblioentry">
Padgham, Mark, Bob Rudis, Robin Lovelace, and Maëlle Salmon. 2017a.
<span>“Osmdata”</span> 2. <a href="https://doi.org/10.21105/joss.00305">https://doi.org/10.21105/joss.00305</a>.
</div>
<div id="ref-osmdata2017" class="csl-entry" role="doc-biblioentry">
———. 2017b. <span>“Osmdata.”</span> <em>The Journal of Open Source
Software</em> 2 (14). <a href="https://doi.org/10.21105/joss.00305">https://doi.org/10.21105/joss.00305</a>.
</div>
<div id="ref-Paull16" class="csl-entry" role="doc-biblioentry">
Paull, John, and Benjamin Hennig. 2016. <span>“Atlas of Organics: Four
Maps of the World of Organic Agriculture.”</span> <em>Journal of
Organics</em> 3 (1): 25–32.
</div>
<div id="ref-sf" class="csl-entry" role="doc-biblioentry">
Pebesma, Edzer. 2018b. <span>“<span></span>Simple Features for r:
Standardized Support for Spatial Vector Data<span></span>”</span> 10. <a href="https://doi.org/10.32614/RJ-2018-009">https://doi.org/10.32614/RJ-2018-009</a>.
</div>
<div id="ref-pebesma2018" class="csl-entry" role="doc-biblioentry">
———. 2018a. <span>“Simple Features for R: Standardized Support for
Spatial Vector Data.”</span> <em>The R Journal</em> 10 (1): 439. <a href="https://doi.org/10.32614/rj-2018-009">https://doi.org/10.32614/rj-2018-009</a>.
</div>
<div id="ref-stars" class="csl-entry" role="doc-biblioentry">
———. 2021. <span>“Stars: Spatiotemporal Arrays, Raster and Vector Data
Cubes.”</span> <a href="https://CRAN.R-project.org/package=stars">https://CRAN.R-project.org/package=stars</a>.
</div>
<div id="ref-sp" class="csl-entry" role="doc-biblioentry">
Pebesma, Edzer J., and Roger S. Bivand. 2005. <span>“Classes and Methods
for Spatial Data in <span></span>r<span></span>”</span> 5. <a href="https://CRAN.R-project.org/doc/Rnews/">https://CRAN.R-project.org/doc/Rnews/</a>.
</div>
<div id="ref-PROJ" class="csl-entry" role="doc-biblioentry">
PROJ contributors. 2021. <em><span>PROJ</span> Coordinate Transformation
Software Library</em>. Open Source Geospatial Foundation. <a href="https://proj.org/">https://proj.org/</a>.
</div>
<div id="ref-RasterCheatSheet" class="csl-entry" role="doc-biblioentry">
Racine, Etienne B. 2016. <span>“The Visual Raster Cheat Sheet.”</span>
<a href="https://rpubs.com/etiennebr/visualraster" class="uri">https://rpubs.com/etiennebr/visualraster</a>.
</div>
<div id="ref-R-geonames" class="csl-entry" role="doc-biblioentry">
Rowlingson, Barry. 2019. <em>Geonames: Interface to the "Geonames"
Spatial Query Web Service</em>. <a href="https://CRAN.R-project.org/package=geonames">https://CRAN.R-project.org/package=geonames</a>.
</div>
<div id="ref-rnaturalearth" class="csl-entry" role="doc-biblioentry">
South, Andy. 2017. <span>“Rnaturalearth: World Map Data from Natural
Earth.”</span> <a href="https://CRAN.R-project.org/package=rnaturalearth">https://CRAN.R-project.org/package=rnaturalearth</a>.
</div>
<div id="ref-tanaka1950" class="csl-entry" role="doc-biblioentry">
Tanaka, Kitiro. 1950. <span>“The Relief Contour Method of Representing
Topography on Maps.”</span> <em>Geographical Review</em> 40 (3): 444. <a href="https://doi.org/10.2307/211219">https://doi.org/10.2307/211219</a>.
</div>
<div id="ref-tmap" class="csl-entry" role="doc-biblioentry">
Tennekes, Martijn. 2018. <span>“<span></span>Tmap<span></span>: Thematic
Maps in <span></span>r<span></span>”</span> 84. <a href="https://doi.org/10.18637/jss.v084.i06">https://doi.org/10.18637/jss.v084.i06</a>.
</div>
<div id="ref-Tomlin_1990" class="csl-entry" role="doc-biblioentry">
Tomlin, C. Dana. 1990. <em>Geographic Information Systems and
Cartographic Modeling</em>. Prentice Hall.
</div>
<div id="ref-R-cshapes" class="csl-entry" role="doc-biblioentry">
Weidmann, Nils B., Guy Schvitz, and Luc Girardin. 2021. <em>Cshapes: The
CShapes 2.0 Dataset and Utilities</em>. <a href="https://CRAN.R-project.org/package=cshapes">https://CRAN.R-project.org/package=cshapes</a>.
</div>
<div id="ref-ggplot2" class="csl-entry" role="doc-biblioentry">
Wickham, Hadley. 2016. <span>“Ggplot2: Elegant Graphics for Data
Analysis.”</span> <a href="https://ggplot2.tidyverse.org">https://ggplot2.tidyverse.org</a>.
</div>
</div>



</main> <!-- /main -->
<script id="quarto-html-after-body" type="application/javascript">
window.document.addEventListener("DOMContentLoaded", function (event) {
  const toggleBodyColorMode = (bsSheetEl) => {
    const mode = bsSheetEl.getAttribute("data-mode");
    const bodyEl = window.document.querySelector("body");
    if (mode === "dark") {
      bodyEl.classList.add("quarto-dark");
      bodyEl.classList.remove("quarto-light");
    } else {
      bodyEl.classList.add("quarto-light");
      bodyEl.classList.remove("quarto-dark");
    }
  }
  const toggleBodyColorPrimary = () => {
    const bsSheetEl = window.document.querySelector("link#quarto-bootstrap");
    if (bsSheetEl) {
      toggleBodyColorMode(bsSheetEl);
    }
  }
  toggleBodyColorPrimary();  
  const icon = "";
  const anchorJS = new window.AnchorJS();
  anchorJS.options = {
    placement: 'right',
    icon: icon
  };
  anchorJS.add('.anchored');
  const clipboard = new window.ClipboardJS('.code-copy-button', {
    target: function(trigger) {
      return trigger.previousElementSibling;
    }
  });
  clipboard.on('success', function(e) {
    // button target
    const button = e.trigger;
    // don't keep focus
    button.blur();
    // flash "checked"
    button.classList.add('code-copy-button-checked');
    var currentTitle = button.getAttribute("title");
    button.setAttribute("title", "Copied!");
    setTimeout(function() {
      button.setAttribute("title", currentTitle);
      button.classList.remove('code-copy-button-checked');
    }, 1000);
    // clear code selection
    e.clearSelection();
  });
  function tippyHover(el, contentFn) {
    const config = {
      allowHTML: true,
      content: contentFn,
      maxWidth: 500,
      delay: 100,
      arrow: false,
      appendTo: function(el) {
          return el.parentElement;
      },
      interactive: true,
      interactiveBorder: 10,
      theme: 'quarto',
      placement: 'bottom-start'
    };
    window.tippy(el, config); 
  }
  const noterefs = window.document.querySelectorAll('a[role="doc-noteref"]');
  for (var i=0; i<noterefs.length; i++) {
    const ref = noterefs[i];
    tippyHover(ref, function() {
      // use id or data attribute instead here
      let href = ref.getAttribute('data-footnote-href') || ref.getAttribute('href');
      try { href = new URL(href).hash; } catch {}
      const id = href.replace(/^#\/?/, "");
      const note = window.document.getElementById(id);
      return note.innerHTML;
    });
  }
  var bibliorefs = window.document.querySelectorAll('a[role="doc-biblioref"]');
  for (var i=0; i<bibliorefs.length; i++) {
    const ref = bibliorefs[i];
    const cites = ref.parentNode.getAttribute('data-cites').split(' ');
    tippyHover(ref, function() {
      var popup = window.document.createElement('div');
      cites.forEach(function(cite) {
        var citeDiv = window.document.createElement('div');
        citeDiv.classList.add('hanging-indent');
        citeDiv.classList.add('csl-entry');
        var biblioDiv = window.document.getElementById('ref-' + cite);
        if (biblioDiv) {
          citeDiv.innerHTML = biblioDiv.innerHTML;
        }
        popup.appendChild(citeDiv);
      });
      return popup.innerHTML;
    });
  }
    var localhostRegex = new RegExp(/^(?:http|https):\/\/localhost\:?[0-9]*\//);
      var filterRegex = new RegExp('/' + window.location.host + '/');
    var isInternal = (href) => {
        return filterRegex.test(href) || localhostRegex.test(href);
    }
    // Inspect non-navigation links and adorn them if external
    var links = window.document.querySelectorAll('a:not(.nav-link):not(.navbar-brand):not(.toc-action):not(.sidebar-link):not(.sidebar-item-toggle):not(.pagination-link):not(.no-external)');
    for (var i=0; i<links.length; i++) {
      const link = links[i];
      if (!isInternal(link.href)) {
          // target, if specified
          link.setAttribute("target", "_blank");
      }
    }
});
</script>
<nav class="page-navigation">
  <div class="nav-page nav-page-previous">
      <a href="./08-exercices.html" class="pagination-link">
        <i class="bi bi-arrow-left-short"></i> <span class="nav-page-text">Exercice</span>
      </a>          
  </div>
  <div class="nav-page nav-page-next">
  </div>
</nav>
</div> <!-- /content -->
<footer class="footer">
  <div class="nav-footer">
    <div class="nav-footer-left">UMR 228 ESPACE-DEV</div>   
    <div class="nav-footer-right"><img src="img/ird_footer.png" height="50"></div>
  </div>
</footer>



<script src="site_libs/quarto-html/zenscroll-min.js"></script>
</body></html>